GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Functions | Variables
transport_security.h File Reference
`#include "src/core/tsi/transport_security_interface.h"`

Go to the source code of this file.

## Data Structures
struct | tsi_frame_protector_vtable
struct | tsi_frame_protector
struct | tsi_handshaker_vtable
struct | tsi_handshaker

## Functions
tsi_result | tsi_construct_peer (size_t property_count, tsi_peer *peer)
tsi_peer_property | tsi_init_peer_property (void)
void | tsi_peer_property_destruct (tsi_peer_property *property)
tsi_result | tsi_construct_string_peer_property (const char *name, const char *value, size_t value_length, tsi_peer_property *property)
tsi_result | tsi_construct_allocated_string_peer_property (const char *name, size_t value_length, tsi_peer_property *property)
tsi_result | tsi_construct_string_peer_property_from_cstring (const char *name, const char *value, tsi_peer_property *property)
char * | tsi_strdup (const char *src)

## Variables
int | tsi_tracing_enabled

## Function Documentation

tsi_result tsi_construct_allocated_string_peer_property | ( | const char * | name,
|  | size_t | value_length,
|  | tsi_peer_property * | property
| ) |  |

tsi_result tsi_construct_peer | ( | size_t | property_count,
|  | tsi_peer * | peer
| ) |  |

tsi_result tsi_construct_string_peer_property | ( | const char * | name,
|  | const char * | value,
|  | size_t | value_length,
|  | tsi_peer_property * | property
| ) |  |

tsi_result tsi_construct_string_peer_property_from_cstring | ( | const char * | name,
|  | const char * | value,
|  | tsi_peer_property * | property
| ) |  |

tsi_peer_property tsi_init_peer_property | ( | void |  | ) |

void tsi_peer_property_destruct | ( | tsi_peer_property * | property | ) |

char* tsi_strdup | ( | const char * | src | ) |

## Variable Documentation

int tsi_tracing_enabled